// 1. 导入内置模块
const fs = require('fs')
const path = require('path')

// 提取读取数据的方法
function getData (name) {
  return JSON.parse(
    fs.readFileSync(path.join(__dirname, `./data/${name}.json`), 'utf-8')
  )
}

// 3. 暴露/导出 module.exports
module.exports = {
  news: () => getData('news'),
  ninja: () => getData('ninja'),
  cq: () => getData('cq'),
  lol: () => getData('lol')
}
